CreateBareMetal2ProvisionNetwork
CreateBareMetal2ProvisionNetwork
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the deployment network.
descriptionStringOptional. The detailed description of the deployment network.
zoneUuidStringRequiredThe zone UUID.
dhcpInterfaceStringRequiredThe name of the DHCP NIC.
dhcpRangeStartIpStringRequiredThe starting IP address that DHCP assigns to a bare metal instance.
dhcpRangeEndIpStringRequiredThe ending IP address that DHCP assigns to a bare metal instance.
dhcpRangeNetmaskStringRequiredThe netmask of the IP range from which the DHCP server assigns an IP address to a bare metal instance.
dhcpRangeGatewayStringOptional. The gateway IP address.
resourceUuidStringOptional. The deployment network UUID.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/baremetal2/provision-networks
/zstack/v1/baremetal2/provision-networks
Request Example
curl -X POST 'http://{host}/zstack/v1/baremetal2/provision-networks' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","dhcpInterface":"<dhcpInterface>","dhcpRangeStartIp":"<dhcpRangeStartIp>","dhcpRangeEndIp":"<dhcpRangeEndIp>","dhcpRangeNetmask":"<dhcpRangeNetmask>","dhcpRangeGateway":"<dhcpRangeGateway>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "0adedb8acdba4a889a4679c0f2a3dccd", "zoneUuid": "dee0edff3afc42d988c54a3675f56617", "name": "BM_PROVISION_NETWORK", "description": "This is a bare metal provision network.", "dhcpInterface": "eth0", "dhcpRangeStartIp": "192.168.0.10", "dhcpRangeEndIp": "192.168.0.100", "dhcpRangeNetmask": "255.255.255.0", "dhcpRangeGateway": "192.168.0.1", "dhcpRangeNetworkCidr": "192.168.0.10/24", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
